UUIDD(8)

NUME
uuidd - demon generare UUID

REZUMAT

uuidd [opțiuni]

DESCRIERE

Demonul uuidd este utilizat de biblioteca UUID pentru a genera identificatori unici universali (UUID), în special UUID-uri bazate pe timp, într-un mod sigur și unic garantat, chiar și în fața unui număr mare de fire de execuție care rulează pe diferite unități centrale de procesare și care încearcă să obțină UUID-uri.

OPȚIUNI

-C, --cont-clock[=număr[hd]]
    Activează gestionarea ceasului continuu pentru UUID-uri bazate pe timp. uuidd ar putea utiliza toate valorile posibile ale ceasului, începând cu ora de pornire a demonului. Argumentul opțional poate fi utilizat pentru a stabili o valoare pentru „max_clock_offset”. Acest lucru garantează că o valoare de ceas a unui UUID se va afla întotdeauna în intervalul „max_clock_offset”.

    Opțiunea -C sau --cont-clock activează caracteristica cu o valoare implicită „max_clock_offset” de 2 ore.

    Opțiunea -Cnumăr or --cont-clock=număr activează caracteristica cu o valoare „max_clock_offset” de număr secunde. În cazul unui h (abrevierea pentru oră) sau d (abrevierea pentru zi) anexat, valoarea număr este citită în ore sau zile. Valoarea minimă este de 60 de secunde, iar valoarea maximă este de 365 de zile.

-d, --debug
    Rulează uuidd în modul de depanare. Acest lucru previne ca uuidd să ruleze ca un demon.

-F, --no-fork
    Nu creează demonul folosind o bifurcație dublă.

-k, --kill
    Dacă în prezent rulează un daemon uuidd, îl omoară.

-n, --uuids număr
    Atunci când se emite o cerere de testare către un uuidd în curs de execuție, se solicită un răspuns în bloc de număr UUID-uri.

-P, --no-pid
    Nu creează un fișier pid.

-p, --pid ruta
    Specifică ruta în care trebuie scris fișierul pid. În mod implicit, fișierul pid este scris în {runstatedir}/uuidd/uuidd.pid.

-q, --quiet
    Suprimă unele mesaje de eșec.

-r, --random
    Testează uuidd încercând să se conecteze la un daemon uuidd în curs de execuție și solicitându-i să returneze un UUID aleatoriu.

-S, --socket-activation
    Nu creează un soclu, ci se așteaptă ca acesta să fie furnizat de către procesul apelant. Acest lucru implică --no-fork și --no-pid. Această opțiune este destinată a fi utilizată numai cu systemd(1). Ea trebuie activată cu o opțiune de configurare.

-s, --socket ruta
    Face ca uuidd să folosească această rută pentru soclul domeniului unix. În mod implicit, numele de rută utilizat este {runstatedir}/uuidd/request. Această opțiune este în primul rând pentru scopuri de depanare, deoarece numele de rută este codificat în biblioteca libuuid.

-T, --timeout număr
    Face uuidd să iasă după un număr de secunde de inactivitate.

-t, --time
    Testează uuidd încercând să se conecteze la un daemon uuidd în curs de execuție și solicitându-i să returneze un UUID bazat pe timp.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

EXEMPLU

Pornește un demon, imprimă 42 de chei aleatorii, apoi oprește demonul:

    uuidd -p /tmp/uuidd.pid -s /tmp/uuidd.socket
    uuidd -d -r -n 42 -s /tmp/uuidd.socket
    uuidd -d -k -s /tmp/uuidd.socket

AUTOR

Demonul uuidd a fost scris de

CONSULTAȚI ȘI

uuid(3), uuidgen(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda uuidd face parte din pachetul util-linux care poate fi descărcat de la